These are chat archives for MylesIsCool/ViaVersion

3rd
Oct 2016
Max
@Maxqia
Oct 03 2016 01:53
Erm is bungeecord currently working for you guys?
Max
@Maxqia
Oct 03 2016 03:12
Screenshot from 2016-10-02 20-11-58.png
Mats
@Matsv
Oct 03 2016 06:17
Maxqia: oh yeah didn't push the ViaBackwards in modules yet
Max
@Maxqia
Oct 03 2016 06:20
How far have you gotten it?
Mats
@Matsv
Oct 03 2016 06:20
Bungee, bukkit and sponge support
Didn't test everything yet though
Man, why is sponge renaming events :'(
Max
@Maxqia
Oct 03 2016 06:21
:P, If you tested it you probably would've ran into it as well
Mats
@Matsv
Oct 03 2016 06:27
Yeah, maybe we should only register the events of a specific pipe, if that one can be reached instead of always register it
Max
@Maxqia
Oct 03 2016 06:32
ArmorEquipable and SpongeCommandHandler are also erroring if I use api5 in the maven dependancies
Mats
@Matsv
Oct 03 2016 06:33
God dangit sponge
Max
@Maxqia
Oct 03 2016 06:33
Backwards compatibility and Unstable APIs don't mix well
Well, the stuff that ArmorEquipable/HandItemCache are erroring about are specifically for the 1.8->1.9 upgrade (HandTypes), so meh
Max
@Maxqia
Oct 03 2016 06:41
Actually all the stuff is, How about not loading in the protocol1_9to1_8 directory if we're on 1.9 or greater
Max
@Maxqia
Oct 03 2016 07:24
I got ViaBackwards kinda working on Sponge (throwing a NoClassDefFoundError for org/apache/commons/lang/IllegalClassException) but I need to sleep eventually :P, so lemme just give you a note, Sponge apparently does plugin loading based on plugin id (who woulda guessed). I put an x before viabackwards in my plugin ID to make it after before viaversion.
Also here's my current repo diffed of my current ViaBackwards/Modular repo, maybe you can use it while I'm gone, http://pastebin.com/5YUVyPw8.
Mats
@Matsv
Oct 03 2016 12:14
@Maxqia I already changed it locally, thanks though :)
Mats
@Matsv
Oct 03 2016 13:30
@Maxqia https://github.com/Matsv/ViaBackwards/tree/dev Bungee seems to have some chunk issues, have to look into them.
Max
@Maxqia
Oct 03 2016 22:31
:P you didn't even init it in the SpongePlugin
Mats
@Matsv
Oct 03 2016 22:33
Oh yeah woops
Max
@Maxqia
Oct 03 2016 22:33
Should I bother to make a pull request :/
Mats
@Matsv
Oct 03 2016 22:34
Sure if you want to :)
Max
@Maxqia
Oct 03 2016 22:44
:P Next-up, getting ViaVersion to work across SpongeAPI versions
Myles
@MylesIsCool
Oct 03 2016 22:45
working on that locally
lol
;)
Max
@Maxqia
Oct 03 2016 22:46
How're you doing it?
Myles
@MylesIsCool
Oct 03 2016 22:46
Well I was seeing if there was a maven way to have 2 dependencies in same module
but now it's gonna end up being another module for api v4 support
and then intellij exploded
Mats
@Matsv
Oct 03 2016 22:47
Rip rip rip
Did invalidate cache and restart not do the magic?
Myles
@MylesIsCool
Oct 03 2016 22:47
yeah still needs to index now
Max
@Maxqia
Oct 03 2016 22:47
My Eclipse exploded when I tried to load ViaBackwards :/
Mats
@Matsv
Oct 03 2016 22:48
Fun :)
Max
@Maxqia
Oct 03 2016 22:48
For the whole family :)
@MylesIsCool I was thinking of using reflection so it doesn't load in the protocol1_9to1_8 directory, because all the code that breaks on the update is in there
Myles
@MylesIsCool
Oct 03 2016 22:51
oh
I forgot I could just do that
oopsie
:)
I ported the code to api v5
oops
deletes all my changes
actually I like my changes
psh
Max
@Maxqia
Oct 03 2016 22:52
Did the same, except I planned on deleting all my changes :P
Max
@Maxqia
Oct 03 2016 23:00
Wait a minute... SpongeCommandHandler also has some changes :/
Myles
@MylesIsCool
Oct 03 2016 23:25
Gonna push, pretty sure this works now, but if it doesn't (or if there's a cleaner solution PR it)
Max
@Maxqia
Oct 03 2016 23:26
mmkay